Subject: Re: bug#56499: 28.1; Unable to open large file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2022 10:01:52 +0300

> Date: Wed, 13 Jul 2022 18:11:04 +0200
> From: Juan Jose Garcia Ripoll <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Metered connections are network connections that charge by volume of data transferred. That happens, for
> instance, with 4G modems, which I am using this week.
> 
> When one tethers a 4G mobile phone to a laptop, it is possible to select that the connection is metered, to
> avoid that Windows uses that link to download big but not so important data (e.g. updates).
> 
> I was unaware that OneDrive deactivates itself in metered connections even if I ask to synchronize data.
> When I opened a big file (the ones that OneDrive typically removes from the computer to save space and
> leaves in the cloud) Emacs got a system error that led to the behavior described before. It also happens with
> smaller files, I now realize, provided they were not cached in the computer.
> 
> It is possible to disable the "metered connection" status from the wifi network properties (Windows 10 and
> Windows 11 settings interface, not control panel). Then OneDrive spins up again and Emacs is left waiting
> until the file is downloaded, with no error message.

Thanks, I've now added an entry in PROBLEMS about this, and I'm
closing the bug.